# eoPBILDistrib< EOT > Class Template Reference

Distribution Class for PBIL algorithm (Population-Based Incremental Learning, Baluja and Caruana 96). More...

`#include <eoPBILDistrib.h>`

Inheritance diagram for eoPBILDistrib< EOT >:

List of all members.

## Public Member Functions

| eoPBILDistrib (unsigned _genomeSize)
| Ctor with size of genomes, and update parameters.
virtual void | operator() (EOT &_eo)
| the randomizer of indis
unsigned | Size ()
| Accessor to the genome size.
virtual void | printOn (std::ostream &os) const
| printing...
virtual void | readFrom (std::istream &is)
| reading...
unsigned int | size ()
virtual std::string | className () const
| className: Mandatory because of eoCombinedInit.

## Private Attributes

unsigned | genomeSize

## Detailed Description

### template<class EOT>
class eoPBILDistrib< EOT >

Distribution Class for PBIL algorithm (Population-Based Incremental Learning, Baluja and Caruana 96).

It encodes a univariate distribution on the space of bitstrings, i.e. one probability for each bit to be one

It is an eoValueParam<std::vector<double> > : the std::vector<double> stores the probabilities that each bit is 1

It is still pure virtual, as the update method needs to be specified

Definition at line 44 of file eoPBILDistrib.h.

## Member Function Documentation

template<class EOT>
virtual std::string eoPBILDistrib< EOT >::className | ( | void |  | ) | const`[inline, virtual]`

| className: Mandatory because of eoCombinedInit. SHould be pure virtual, but then we should go over the whole code to write the method for all derived classes ... MS 16/7/04 Reimplemented from eoInit< EOT >. Definition at line 94 of file eoPBILDistrib.h.

The documentation for this class was generated from the following file:

- eoPBILDistrib.h